uses
  testlib, SysUtils;

var
    ja, pa: string;
    i: longint;
begin 
    pa := ouf.readString;
    ja := ans.readString;

    if (ja <> 'invalid') then begin
        i := 1;
        while (i < length(pa)) and (pa[i] = '0') do begin
            inc(i);
        end;
        pa := copy(pa, i, length(pa));
    end;

    if (ja <> pa) then begin
        quit(_wa, format('"%s" expected, "%s" found', [ja, pa]));
    end;
    quit(_ok, ja);
end.
